6.0.0-git
2021-01-18

[#5660] horde/scripts/alarms.php don't work
Summary horde/scripts/alarms.php don't work
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester cristian (at) nethesis (dot) it
Created 2007-08-23 (4897 days ago)
Due
Updated 2017-09-06 (1230 days ago)
Assigned 2007-08-23 (4897 days ago)
Resolved 2007-09-20 (4869 days ago)
Milestone
Patch No

History
2017-09-06 08:17:38 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 5760ec194e34960ff1ee97710a19acc966d8f7eb
Author: bertrand Gugger <toggg@php.net>
Date:   Wed Oct 19 23:43:53 2005 +0000

     Obviously, the # is to be kept in the anchor option, #5660, merci 
jeremy Lecour


     git-svn-id: 
https://svn.php.net/repository/pear/packages/Text_Wiki/trunk@198815 
c90b9560-bf6c-de11-be94-00142212c4b1

  Text/Wiki/Parse/Default/Freelink.php | 6 ++----
  1 file changed, 2 insertions(+), 4 deletions(-)

http://github.com/horde/horde/commit/5760ec194e34960ff1ee97710a19acc966d8f7eb
2007-09-20 19:01:34 Jan Schneider Comment #2
State ⇒ Resolved
Reply to this comment
Fixed in CVS.
2007-08-23 13:34:17 Chuck Hagenbuch Assigned to Jan Schneider
State ⇒ Assigned
 
2007-08-23 08:45:51 cristian (at) nethesis (dot) it Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ horde/scripts/alarms.php don't work
Queue ⇒ Horde Framework Packages
Reply to this comment
The horde/scripts/alarms.php script (from cron every 5 minutes) don't 
work, due to (maybe) a bug in the notify function (lib/Horde/Alarm.php).



in this function you say:

         if (empty($user)) {

             $user = '';

         }

so the user is '', not null.



for this, the function _list in Alarm/sql.php append in the sql query 
a wrong condition

is_null($user) ? '' : ' AND (alarm_uid = ? OR alarm_uid = ?)');



so the query executed is

SELECT alarm .... rms WHERE ala...  ) AND (alarm_uid = '' OR alarm_uid = '')



this cause the script don't work.

if I comment the 3 code line in the notify function (line 297)

/*        if (empty($user)) {

             $user = '';

         }

*/

all works fine


Saved Queries